Loading...
Searching...
No Matches
Gudhi::Hooks_simplex_base_link_nodes Struct Reference

Data structure to put all simplex tree nodes with same label into a list. More...

`#include <include/gudhi/Simplex_tree/hooks_simplex_base.h>`

## Detailed Description

Data structure to put all simplex tree nodes with same label into a list.

Allows one to access all subtrees of the simplex tree rooted at a node with a given label. Used in particular for fast cofaces location, and fast insertion and deletion of edges in a flag complex.

Only if SimplexTreeOptions::link_nodes_by_label is true.

The documentation for this struct was generated from the following file:

- include/gudhi/Simplex_tree/hooks_simplex_base.h